#include <stdio.h>
#include <stdlib.h>

#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>

#include "labpc.h"

void Usage( void )
{
	fprintf( stderr, "Usage: adctrigger device_file_name\n" );
}

int main( int argc, char **argv )
{
	char		*filename;
	int		fd;

	if ((filename = *++argv) == NULL) {
		Usage();
		exit( 1 );
	}

	if ((fd = open( filename, O_RDWR )) < 0) {
		perror( filename );
		exit( 2 );
	}

	if (ioctl( fd, ADC_TRIGGER ) < 0) {
		perror( filename );
		exit( 2 );
	}

	close( fd );

	return 0;
}

	
	
	
	
