
typedef struct Dio_t {
	int	portA;			/* The I/O port address		*/
	int	portB;			/* The I/O port address		*/
	int	portC;			/* The I/O port address		*/
	int	mode_port;		/* The I/O port address 	*/
	int	minor;			/* Device minor number		*/
	int	modeA;			/* Mode for 8255 group A	*/
	int	modeB;			/* Mode for 8255 group B	*/
	int	rwA;			/* Mode for 8255 group B	*/
	int	rwB;			/* Mode for 8255 group B	*/
	int	rwC;			/* Mode for 8255 group B	*/
	int	status;			/* Status of counter		*/
	int	open;			/* Are we currently open	*/
} Dio_t;

int InitDio( Dio_t *dio, int minor, int portA,
	     int portB, int portC, int mode_port );
